Page MenuHomePhabricator

Deploy Newcomer Homepage to Ukrainian, Hungarian, Armenian Wikipedias
Open, Needs TriagePublic

Description

We are ready to deploy the homepage (excluding newcomer tasks) to Ukrainian, Hungarian, Armenian Wikipedias. It should be deployed according to our contemporary experiment design: 80% treatment and 20% control, aligned with the help panel treatment/control groups.

  • Configure the deployment on Ukrainian, Hungarian, Armenian Wikipedias
  • Set date for deployment of all Growth features with contact points from each wiki (@Trizek-WMF) - Wednesday 22nd
  • Inform communities
  • Test in production (@Etonkovidova)
  • Community contacts test in production
  • Validate that incoming data is correct shortly after deployment (@nettrom_WMF)
  • Look at leading indicators after about a month of usage (@nettrom_WMF)

Any specifics and configurations can be found in the setup tasks:

Details

Related Gerrit Patches:
operations/mediawiki-config : masterGrowthExperiments: Enable homepage on hywiki
operations/mediawiki-config : masterGrowthExperiments: Enable homepage on huwiki
operations/mediawiki-config : masterGrowthExperiments: Enable homepage on ukwiki

Event Timeline

JTannerWMF updated the task description. (Show Details)
JTannerWMF moved this task from Inbox to Upcoming Work on the Growth-Team board.
MMiller_WMF updated the task description. (Show Details)Nov 14 2019, 6:49 PM

@JTannerWMF -- thanks for making this task. Could you add the name of the contact point for who we should define a date for the deployment with?

JTannerWMF updated the task description. (Show Details)Nov 15 2019, 12:26 AM
JTannerWMF updated the task description. (Show Details)
kzimmerman moved this task from Triage to Tracking on the Product-Analytics board.Nov 15 2019, 9:30 PM
MMiller_WMF updated the task description. (Show Details)Jan 2 2020, 11:07 PM
MMiller_WMF removed JTannerWMF as the assignee of this task.Jan 7 2020, 3:13 PM
MMiller_WMF renamed this task from Deploy Newcomer Homepage to Ukrainian Wikipedia to Deploy Newcomer Homepage to Ukrainian, Hungarian, Armenian Wikipedias.Jan 15 2020, 6:21 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF added a subscriber: Etonkovidova.
MMiller_WMF added subscribers: Samat, Tgr, DavidSaroyan and 2 others.

Change 565448 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on ukwiki

https://gerrit.wikimedia.org/r/565448

Change 565449 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on huwiki

https://gerrit.wikimedia.org/r/565449

Change 565450 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on hywiki

https://gerrit.wikimedia.org/r/565450

Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.

The config patches are done. The next step is for @Trizek-WMF to set a deployment date for each wiki.

Trizek-WMF updated the task description. (Show Details)

The deployment is scheduled to start this Wednesday, the 22nd.

Change 565448 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on ukwiki

https://gerrit.wikimedia.org/r/565448

Change 565449 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on huwiki

https://gerrit.wikimedia.org/r/565449

Change 565450 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on hywiki

https://gerrit.wikimedia.org/r/565450

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:39:12Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable homepage on ukwiki, huwiki, hywiki (T238320, T231720, T230478, T230676) (duration: 01m 05s)

Moving to @Etonkovidova's column for her to validate in production.

@Trizek-WMF -- could you please ask the community contacts to try out the features and let us know if anything is wrong?

@nettrom_WMF -- this is now with you to validate the data.

@Trizek-WMF -- could you please ask the community contacts to try out the features and let us know if anything is wrong?

So far I've seen nothing on the wikis. I reached at the contacts and/or communities to be sure I haven't missed anything.